Subject: Re: [PATCH 1/5 2.6.21-rc4] l2tp: pppol2tp core

From: James Chapman <[email-masked]>
Date: Sun, 25 Mar 2007 17:12:16 +0100

Patrick McHardy wrote:
> James Chapman wrote:
>> [PPPOL2TP]: Add PPP-over-L2TP driver core.
> 
> A couple more comments:
> 
> - seq_file handling doesn't check seq_printf return values 

ack

>   and
>   tries to dump the entire hash table at once, which might
>   exceed the available room.

I thought seq_printf handled large output (multiple pages)? I am aware 
of the page size limitation of raw proc handlers.

> - there appear to be no checks for duplicate session IDs on
>   session creation.
> - try_module_get/put_module in pppol2tp_create look unnecessary
> - kfree can take NULL pointers
> - direct dereference of user pointer in pppol2tp_sendmsg debugging
> - jiffies.h includes conversion functions for HZ <-> msecs

all acked

> - Any particular reason why the SKB_CB is put after inet_skb_parm?
>   On 64 bit this almost reaches the limit, might be safer to put
>   it at the beginning.

A long time ago (early 2.6.9-ish?) I had problems with some netfilter 
setups when I overwrote inet_skb_parm. I'll investigate further.

Thanks for your comments - they're very useful.

-- 
James Chapman
Katalix Systems Ltd
http://www.katalix.com
Catalysts for your Embedded Linux software development